require 'open-uri'
require 'json'
class Trademe
    def initialize(listing_id)
      @listing = JSON.parse open("http://api.trademe.co.nz/v1/Listings/#{listing_id}.json").read
    end
    
    def title
      @listing[:Title]
    end

    def get_keys
      @listing.keys
    end


    ["ListingId", "Title", "Category", "StartPrice", "StartDate", 
     "EndDate", "ListingLength", "HasGallery", "AsAt", "CategoryPath",
     "PhotoId", "RegionId", "Region", "Suburb", "ViewCount", "NoteDate",
     "CategoryName", "ReserveState", "Attributes", "IsClassified", "OpenHomes",
     "GeographicLocation", "PriceDisplay", "Member", "Body", "Photos", "AllowsPickups",
     "ShippingOptions", "PaymentOptions", "Agency", "CanAddToCart"]
      .each do |action|
        define_method("#{action}") do
          @listing["#{action}"] 
        end
    end

end
